/// <reference path="../GeneratedArtifacts/viewModel.js" />
/// <reference path="../Scripts/wijmo.cba.js" />

myapp.GaugeStyling.LinearGauge_render = function (element, contentItem) {
    $(element).addClass("custom-gauge");
    if ($("#customCss").length == 0) {
        $("<link id='customCss' rel='stylesheet' type='text/css' href='Content/wijmo.custom.css' />").appendTo($("head"));
    }

    var gauge = new c1.cba.LinearGauge($(element), contentItem);
};

myapp.GaugeStyling.BulletGraph_render = function (element, contentItem) {
    $(element).addClass("custom-gauge");
    if ($("#customCss").length == 0) {
        $("<link id='customCss' rel='stylesheet' type='text/css' href='Content/wijmo.custom.css' />").appendTo($("head"));
    }

    var gauge = new c1.cba.BulletGraph($(element), contentItem);
};

myapp.GaugeStyling.RadialGauge_render = function (element, contentItem) {
    $(element).addClass("custom-gauge");
    if ($("#customCss").length == 0) {
        $("<link id='customCss' rel='stylesheet' type='text/css' href='Content/wijmo.custom.css' />").appendTo($("head"));
    }

    var gauge = new c1.cba.RadialGauge($(element), contentItem);
};
